<?php
include('mysqli_connect.php');

$searchTerm = '';
$searchResults = [];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $searchTerm = mysqli_real_escape_string($dbc, $_POST['search']);
    
    $query = "SELECT * FROM users WHERE username LIKE '%$searchTerm%'";
    $result = mysqli_query($dbc, $query);

    if ($result) {
        while ($row = mysqli_fetch_assoc($result)) {
            $searchResults[] = $row;
        }
    } else {
        die("Query failed: " . mysqli_error($dbc));
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Users</title>
    <style>
        table { border-collapse: collapse; width: 100%; }
        th, td { border: 1px solid black; padding: 8px; text-align: left; }
        th { background-color: #f2f2f2; }
    </style>
</head>
<body>

<h2>Search for a User</h2>
<form method="POST">
    <input type="text" name="search" placeholder="Enter username" required>
    <button type="submit">Search</button>
</form>

<?php if (!empty($searchTerm)): ?>
    <h3>Search Condition: Showing results for '<?= htmlspecialchars($searchTerm) ?>'</h3>
<?php endif; ?>

<?php if (!empty($searchResults)): ?>
    <table>
        <tr>
            <th>ID</th>
            <th>Username</th>
            <th>Email</th>
            <th>Age</th>
            <th>Created Time</th>
        </tr>
        <?php foreach ($searchResults as $row): ?>
        <tr>
            <td><?= htmlspecialchars($row['id']) ?></td>
            <td><?= htmlspecialchars($row['username']) ?></td>
            <td><?= htmlspecialchars($row['email']) ?></td>
            <td><?= htmlspecialchars($row['age']) ?></td>
            <td><?= htmlspecialchars($row['created_time']) ?></td>
        </tr>
        <?php endforeach; ?>
    </table>
<?php elseif ($_SERVER["REQUEST_METHOD"] == "POST"): ?>
    <p>No users found.</p>
<?php endif; ?>

<a href="index.php">Back to Home</a>

</body>
</html>

<?php mysqli_close($dbc); ?>
